{% extends 'base.html.twig' %}

{% block main %}
    <div class="page-header">
        <h2> Vos produits </h2>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>Référence</th>
                    <th>Produits</th>
                    <th>Etat</th>
                    <th>Palier</th>
                    <th>Marketplace</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for storeProduct in storeProducts %}
                    <tr>
                        <td> {{ storeProduct.id }}</td>
                        <td> {{ storeProduct.product.name }}</td>
                        <td> {{ storeProduct.state.libelle }}</td>
                        <td> {{ storeProduct.level }} €</td>
                        <td>
                            {% if storeProduct.productMarketplaces | length == 0 %}
                                <label class="label label-warning"> Aucun </label>
                            {% else %}
                                {% for productMarketplace in storeProduct.productMarketplaces %}
                                    <label class="label label-info"> {{ productMarketplace.marketplace.libelle }} - {{ productMarketplace.price }}€</label>
                                {% endfor %}
                            {% endif %}
                        </td>
                        <td>
                            <a href="{{ path('marketplace_add_product', {
                                'marketplaceName': constant('App\\Entity\\Marketplace::LIB_AMAZON'),
                                'id': storeProduct.id
                            }) }}" class="btn btn-success">
                                <i class="fas fa-plus"></i>
                                Placer mon produit sur amazon
                            </a>
                        </td>
                    </tr>

                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>


{% endblock %}
